;;;;
;;; emacs20.xx/lisp/site-load.el
;;; Copyright (c) 1995,96,98,99 SuSE Gmbh Nuernberg, Germany.  All rights reserved.
;;;
;;; Autor: Werner Fink  <werner@suse.de>, No warranty of any kind
;;;;
;; CONFIGURATION (under bash):
;; (export CC=gcc; \
;;  export CFLAGS="-O2 $(arch dependent flags) -pipe \
;;          -DSYSTEM_PURESIZE_EXTRA=25000 -DSITELOAD_PURESIZE_EXTRA=10000" ; \
;;  ./configure $(arch)-suse-linux --with-x --with-x-toolkit=lucid \
;;              --with-gcc --with-pop --with-system-malloc --prefix=/usr \
;;		--exec-prefix=/usr \
;;              --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib )
;;
;; include bug fixes you have
;;
;; MAKE:
;;   make LDFLAGS=-s CC=gcc CFLAGS="-O2 $(arch dependent flags) -pipe \
;;    -DSYSTEM_PURESIZE_EXTRA=25000 -DSITELOAD_PURESIZE_EXTRA=10000"
;;
;; DOC:
;;   lisp/emacs-lisp/backquote.elc lisp/disp-table.elc lisp/delsel.elc
;;   lisp/lpr.elc added to src/Makefile.in for DOCumentation
;;
;;;;
(garbage-collect)

(if (fboundp 'delete-frame)
    (progn
      (garbage-collect) ; Erg"anzt
      (load "emacs-lisp/backquote"); Erg"anzt
    ))

(garbage-collect)

(load "delsel")    ; Erg"anzt
(garbage-collect)  ; Erg"anzt
(load "disp-table"); Erg"anzt
(garbage-collect)  ; Erg"anzt
(load "lpr")       ; Erg"anzt
; Apsfilter setzt den Kopf, apsfilter is setting the header
(setq lpr-headers-switches (list "-h"))
(setq lpr-add-switches t)

;; Scrollbar was always on the `right' side
(custom-set-variables '(scroll-bar-mode (quote right)))

(garbage-collect)
;; Nur innerhalb von term/funct-keys.el im `site-lisp'-Pfad
;; voll wirksam
;(standard-display-european 1)
;(set-input-mode (car   (current-input-mode))
;                (nth 1 (current-input-mode))
;                  0
;                (nth 3 (current-input-mode)))
;
(garbage-collect)

(transient-mark-mode 1)
;; Overwrite `load delsel'
;; Choose `t' in your ~/.emacs
(delete-selection-mode nil)
(custom-set-variables '(delete-selection-mode nil))
(setq mark-even-if-inactive t)

(garbage-collect)

(setq news-inews-program "/usr/lib/news/inews")
(setq gnus-default-nntp-server "news")
(defvar gnus-local-domain nil)

(garbage-collect)
(garbage-collect)
(garbage-collect)
(garbage-collect)
(garbage-collect)

;;; site-load.el ends here
