;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; term/func-keys.el for site-lisp path
;;; Copyright (c) 1996 S.u.S.E. Gmbh Fuerth, Germany.  All rights reserved.
;;;
;;; Author: Werner Fink  <werner@suse.de>, No warranty of any kind
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; num block
;; kp_f1 .. kp_f4 and kp_tab not found on MF-102
  (global-set-key [kp-f1]   esc-map) ; Escape
  (global-set-key [kp-f2]  'undo) ; Undo
  (global-set-key [kp-f3]  'isearch-forward) ; Search
  (global-set-key [kp-f4]  'kill-line) ; Kill-Line
  (global-set-key [kp-tab] 'indent-for-tab-command)
  (global-set-key [kp-0]   "0")   ; 0
  (global-set-key [kp-1]   "1")   ; 1
  (global-set-key [kp-2]   "2")   ; 2
  (global-set-key [kp-3]   "3")   ; 3
  (global-set-key [kp-4]   "4")   ; 4
  (global-set-key [kp-5]   "5")   ; 5
  (global-set-key [kp-6]   "6")   ; 6
  (global-set-key [kp-7]   "7")   ; 7
  (global-set-key [kp-8]   "8")   ; 8
  (global-set-key [kp-9]   "9")   ; 9
  (global-set-key [kp-multiply]  "*") ; `+'
  (global-set-key [kp-add]       "+") ; `+'
  (global-set-key [kp-divide]    "/") ; `/'
;; german fault:
(defvar lang-environment "en_us"
  "The value of the environment variable \"LANG\"
used to set appropriate keypad. Default value is \"en_us\".
If \"LANG\" is set to \"de\" or some other aliases
(see /usr/X11R6/lib/X11/locale/) the keypad decimal is
chosen to \",\".
                            Your S.u.S.E.-Team")
;
(let ((lang (getenv "LANG")))
    (if (null lang)
        (setq lang-environment "en_us")
      (setq lang-environment lang)))
;;
  (if (string-match "^\\(de$\\|de_\\|GER_DE\\|german\\)" lang-environment)
      (progn
        (global-set-key [kp-decimal]   ",")  ; `,' german decimal
        (global-set-key [kp-separator] ".")) ; `.' german separator
      (global-set-key [kp-decimal]   ".")
      (global-set-key [kp-separator] ","))
  (global-set-key [kp-subtract]  "-") ; `-'
  (global-set-key [kp-enter]     'newline) ; Linefeed
  (global-set-key [kp-home]      'beginning-of-line) ; home
  (global-set-key [kp-up]        'previous-line)     ; up
  (global-set-key [kp-prior]     'scroll-down)       ; ppg
  (global-set-key [kp-left]      'backward-char)     ; left
  (global-set-key [kp-begin]     'beginning-of-line) ; first
  (global-set-key [kp-right]     'forward-char)      ; right
  (global-set-key [kp-end]       'end-of-line)       ; end
  (global-set-key [kp-down]      'next-line)         ; down
  (global-set-key [kp-next]      'scroll-up)         ; npg
  (global-set-key [kp-insert]    'overwrite-mode)    ; insert/ovwrt
;;
;; Backspace, Delete and any thing else
;;
(if (not window-system)
      nil
  (global-unset-key [delete])
  (local-unset-key  [delete])
  (global-set-key   [delete]      'delete-char)
  (local-set-key    [delete]      'delete-char)
 ;(global-set-key   [delete]      '[127])
 ;(global-unset-key [backspace])
 ;(global-set-key   [backspace]   '[127])
)
;;
;; Umlaute
;; -------
(if (> emacs-major-version 19)
    (progn
      ;; Set this only if no default is given
      (unless (terminal-coding-system)
	(set-terminal-coding-system 'iso-latin-1))
      ;; Set input mode
      (let ((value (current-input-mode)))
	   (set-input-mode (nth 0 value)
			   (nth 1 value)
			   (terminal-coding-system)
			   ;; This quit value is optional
			   (nth 3 value))))
  (standard-display-european 1)
  (set-input-mode (car (current-input-mode))
		  (nth 1 (current-input-mode))
		    0
		  (nth 3 (current-input-mode))))
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Ende von func-keys.el
